curl --request POST \ --url https://us.api.flexprice.io/v1/webhook-events/refund.created
from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.webhook_events.post_webhook_events_refund_created()
# Handle response
print(res)
import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.webhookEvents.postWebhookEventsRefundCreated();
console.log(result);
}
run();
package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.WebhookEvents.PostWebhookEventsRefundCreated(ctx)
if err != nil {
log.Fatal(err)
}
if res.WebhookDtoRefundWebhookPayload != nil {
// handle response
}
}
Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.
POST
/
webhook-events
/
refund.created
cURL
curl --request POST \ --url https://us.api.flexprice.io/v1/webhook-events/refund.created
from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.webhook_events.post_webhook_events_refund_created()
# Handle response
print(res)
import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.webhookEvents.postWebhookEventsRefundCreated();
console.log(result);
}
run();
package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.WebhookEvents.PostWebhookEventsRefundCreated(ctx)
if err != nil {
log.Fatal(err)
}
if res.WebhookDtoRefundWebhookPayload != nil {
// handle response
}
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Flexprice","colors":{"primary":"#15547c","light":"#2580b5","dark":"#134a6b"},"logo":{"light":"https://mintcdn.com/flexprice/Qokjirde4CQUcFy8/images/FlexpriceWordMarkDark.png?fit=max\u0026auto=format\u0026n=Qokjirde4CQUcFy8\u0026q=85\u0026s=d706a1b6139418c2d57ba902fb0b6de4","dark":"https://mintcdn.com/flexprice/Qokjirde4CQUcFy8/images/FlexpriceWordMarkLight.png?fit=max\u0026auto=format\u0026n=Qokjirde4CQUcFy8\u0026q=85\u0026s=3fe3d9881552f4ebecb6f6aa7cfe2f66"},"favicon":"https://mintcdn.com/flexprice/Qokjirde4CQUcFy8/doc.png?fit=max\u0026auto=format\u0026n=Qokjirde4CQUcFy8\u0026q=85\u0026s=7e9ab0952b828b96d03f9298571462a4","api":{"examples":{"languages":["curl","python","typescript","go"]}},"background":{"decoration":"gradient","color":{"light":"#fffdf8","dark":"#010b13"}},"navbar":{"links":[],"primary":{"type":"button","label":"Dashboard","href":"https://admin.flexprice.io/"}},"footer":{"socials":{"github":"https://github.com/flexprice/flexprice","linkedin":"https://www.linkedin.com/company/flexpriceio","website":"https://flexprice.io/","x":"https://x.com/tryflexprice"}},"fonts":{"family":"Geist"},"integrations":{"ga4":{"measurementId":"G-9RV8NDCXNN"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Support","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/mail.svg","href":"mailto:support@flexprice.io"},{"anchor":"Community","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/slack.svg","href":"https://join.slack.com/t/flexpricecommunity/shared_invite/zt-39uat51l0-n8JmSikHZP~bHJNXladeaQ"},{"anchor":"Website","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/flexprice.svg","href":"https://flexprice.io/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexprice","hasAudioNarration":false,"actualSubdomain":"flexprice","customDomains":["docs.flexprice.io"],"gitSource":{"type":"github","owner":"flexprice","repo":"flexprice-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adb5c47a0e78eb4aee8f95c","collectionId":"da2d6ec5-0a60-46e2-9ea7-aff6d0cc5f88","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adb5c47a0e78eb4aee8f95c"},"feedback":{"thumbs":false,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adb5c47a0e78eb4aee8f95c","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":300},{"language":"default","tag":"Resources","count":297},{"language":"default","tag":"Developers","count":142},{"language":"default","tag":"Documentation","count":118},{"language":"default","tag":"Integrations","count":102},{"language":"default","tag":"Webhook Events","count":62},{"language":"default","tag":"Subscriptions","count":45},{"language":"default","tag":"CLI","count":38},{"language":"default","tag":"Command reference","count":34},{"language":"default","tag":"Pricing and Packaging","count":25}]},"assistantConfig":{"enableStarterQuestions":false,"deflection":{"enabled":true,"email":"support@flexprice.io","showHelpButton":true}},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":false}},"isAtlas":false,"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"/* latin-ext */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu6-K6h9Q.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu0-K4.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* latin-ext */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu6-K6h9Q.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 500;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu0-K4.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* latin-ext */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu6-K6h9Q.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 600;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu0-K4.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* latin-ext */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu6-K6h9Q.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'DM Sans';\n font-style: normal;\n font-weight: 700;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/dmsans/v17/rP2Yp2ywxg089UriI5-g4vlH9VoD8Cmcqbu0-K4.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\nh1{font-family:'DM Sans',sans-serif;font-weight:700!important;letter-spacing:-.01em!important}.page-title,.section-title,.title,[data-title]{font-family:'DM Sans',sans-serif;font-weight:400;letter-spacing:.025em!important}.nav-logo{height:22px}[class*=Navbar] a[href*=\"admin.flexprice.io\"],[class*=nav] a[href*=\"admin.flexprice.io\"]{background-color:#134a6b!important;color:#fff!important;font-weight:500;border-radius:6px;padding:.5rem 1rem}[class*=Navbar] a[href*=\"admin.flexprice.io\"]:hover,[class*=nav] a[href*=\"admin.flexprice.io\"]:hover{background-color:#0d3d5c!important;color:#fff!important}.\\32xl\\:max-w-2xl,.content-area{max-width:50rem!important}.nav-anchor:hover>div{background-color:rgba(21,84,124,.08)!important}.dark .nav-anchor:hover>div{background-color:rgba(255,255,255,.08)!important}.nav-anchor img{background-color:transparent!important}.dark .nav-anchor img[src*=\"anchors/flexprice\"]{filter:brightness(0) invert(1)}"}],"page":{"pagePath":"api-reference/webhook-events/refundcreated","slug":"/api-reference/webhook-events/refundcreated","pageMetadata":{"title":"refund.created","description":"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/refund.created","href":"/api-reference/webhook-events/refundcreated","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"refund.created","description":"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/refund.created","href":"/api-reference/webhook-events/refundcreated","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/flexprice/c6cd5bf06bcd0181/reo-tracking.js"],"openApiReferenceData":{"operation":{"tags":["Webhook Events"],"summary":"refund.created","description":"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.","responses":{"200":"e864fa87-01d3-436c-a8eb-d4ff35bb9961"},"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\tflexprice \"github.com/flexprice/go-sdk/v2\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := flexprice.New(\n flexprice.WithSecurity(\"\u003cYOUR_API_KEY_HERE>\"),\n )\n\n res, err := s.WebhookEvents.PostWebhookEventsRefundCreated(ctx)\n if err != nil {\n log.Fatal(err)\n }\n if res.WebhookDtoRefundWebhookPayload != nil {\n // handle response\n }\n}"},{"lang":"python","label":"Python","source":"from flexprice import Flexprice\n\n\nwith Flexprice(\n api_key_auth=\"\u003cYOUR_API_KEY_HERE>\",\n) as f_client:\n\n res = f_client.webhook_events.post_webhook_events_refund_created()\n\n # Handle response\n print(res)"},{"lang":"typescript","label":"TypeScript","source":"import { Flexprice } from \"@flexprice/sdk\";\n\nconst flexprice = new Flexprice({\n apiKeyAuth: \"\u003cYOUR_API_KEY_HERE>\",\n});\n\nasync function run() {\n const result = await flexprice.webhookEvents.postWebhookEventsRefundCreated();\n\n console.log(result);\n}\n\nrun();"}],"method":"post","type":"path","servers":["c3a552c0-fb0d-4192-bbfb-41d490814c91","8d9b0e10-8210-4fd4-9d91-5200cae97a59"],"security":[],"path":"/webhook-events/refund.created","baseUrlOptions":["https://us.api.flexprice.io/v1","https://api.cloud.flexprice.io/v1"],"title":"refund.created","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\tflexprice \"github.com/flexprice/go-sdk/v2\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := flexprice.New(\n flexprice.WithSecurity(\"\u003cYOUR_API_KEY_HERE>\"),\n )\n\n res, err := s.WebhookEvents.PostWebhookEventsRefundCreated(ctx)\n if err != nil {\n log.Fatal(err)\n }\n if res.WebhookDtoRefundWebhookPayload != nil {\n // handle response\n }\n}"},{"label":"Python","lang":"python","source":"from flexprice import Flexprice\n\n\nwith Flexprice(\n api_key_auth=\"\u003cYOUR_API_KEY_HERE>\",\n) as f_client:\n\n res = f_client.webhook_events.post_webhook_events_refund_created()\n\n # Handle response\n print(res)"},{"label":"TypeScript","lang":"typescript","source":"import { Flexprice } from \"@flexprice/sdk\";\n\nconst flexprice = new Flexprice({\n apiKeyAuth: \"\u003cYOUR_API_KEY_HERE>\",\n});\n\nasync function run() {\n const result = await flexprice.webhookEvents.postWebhookEventsRefundCreated();\n\n console.log(result);\n}\n\nrun();"}],"requestExampleLanguages":["bash","python","typescript","go"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"responses":{"e864fa87-01d3-436c-a8eb-d4ff35bb9961":{"description":"Webhook payload","content":{"application/json":{"schema":{"type":"object","properties":{"event_type":{"type":"string","enum":["subscription.created","subscription.draft.created","subscription.activated","subscription.updated","subscription.paused","subscription.cancelled","subscription.resumed","subscription.plan_changed","subscription.phase.created","subscription.phase.updated","subscription.phase.deleted","feature.created","feature.updated","feature.deleted","feature.wallet_balance.alert","entitlement.created","entitlement.updated","entitlement.deleted","wallet.created","wallet.updated","wallet.terminated","wallet.transaction.created","wallet.transaction.updated","payment.created","payment.updated","payment.failed","payment.success","payment.pending","refund.created","refund.succeeded","refund.failed","customer.created","customer.updated","customer.deleted","invoice.update.finalized","invoice.update.payment","invoice.update.voided","invoice.update","invoice.payment.overdue","invoice.sync.success","invoice.sync.failed","wallet.credit_balance.dropped","wallet.credit_balance.recovered","wallet.ongoing_balance.dropped","wallet.ongoing_balance.recovered","wallet.ongoing_balance.updated","subscription.spend.threshold_reached","subscription.spend.threshold_recovered","subscription.line_item_spend.threshold_reached","subscription.line_item_spend.threshold_recovered","subscription.group_spend.threshold_reached","subscription.group_spend.threshold_recovered","entitlement.grant.exhausted","subscription.renewal.due","invoice.communication.triggered","credit_note.created","credit_note.updated","checkout.session.initiated","checkout.session.completed","checkout.session.failed","checkout.session.expired","event.rejected"],"x-enum-varnames":["WebhookEventSubscriptionCreated","WebhookEventSubscriptionDraftCreated","WebhookEventSubscriptionActivated","WebhookEventSubscriptionUpdated","WebhookEventSubscriptionPaused","WebhookEventSubscriptionCancelled","WebhookEventSubscriptionResumed","WebhookEventSubscriptionPlanChanged","WebhookEventSubscriptionPhaseCreated","WebhookEventSubscriptionPhaseUpdated","WebhookEventSubscriptionPhaseDeleted","WebhookEventFeatureCreated","WebhookEventFeatureUpdated","WebhookEventFeatureDeleted","WebhookEventFeatureWalletBalanceAlert","WebhookEventEntitlementCreated","WebhookEventEntitlementUpdated","WebhookEventEntitlementDeleted","WebhookEventWalletCreated","WebhookEventWalletUpdated","WebhookEventWalletTerminated","WebhookEventWalletTransactionCreated","WebhookEventWalletTransactionUpdated","WebhookEventPaymentCreated","WebhookEventPaymentUpdated","WebhookEventPaymentFailed","WebhookEventPaymentSuccess","WebhookEventPaymentPending","WebhookEventRefundCreated","WebhookEventRefundSucceeded","WebhookEventRefundFailed","WebhookEventCustomerCreated","WebhookEventCustomerUpdated","WebhookEventCustomerDeleted","WebhookEventInvoiceUpdateFinalized","WebhookEventInvoiceUpdatePayment","WebhookEventInvoiceUpdateVoided","WebhookEventInvoiceUpdate","WebhookEventInvoicePaymentOverdue","WebhookEventInvoiceSyncSuccess","WebhookEventInvoiceSyncFailed","WebhookEventWalletCreditBalanceDropped","WebhookEventWalletCreditBalanceRecovered","WebhookEventWalletOngoingBalanceDropped","WebhookEventWalletOngoingBalanceRecovered","WebhookEventWalletOngoingBalanceUpdated","WebhookEventSubscriptionSpendThresholdReached","WebhookEventSubscriptionSpendThresholdRecovered","WebhookEventSubscriptionLineItemSpendThresholdReached","WebhookEventSubscriptionLineItemSpendThresholdRecovered","WebhookEventSubscriptionGroupSpendThresholdReached","WebhookEventSubscriptionGroupSpendThresholdRecovered","WebhookEventEntitlementGrantExhausted","WebhookEventSubscriptionRenewalDue","WebhookEventInvoiceCommunicationTriggered","WebhookEventCreditNoteCreated","WebhookEventCreditNoteUpdated","WebhookEventCheckoutSessionInitiated","WebhookEventCheckoutSessionCompleted","WebhookEventCheckoutSessionFailed","WebhookEventCheckoutSessionExpired","WebhookEventEventRejected"],"x-speakeasy-name-override":"WebhookEventName","uniqueKey":"event_type","typeLabel":"enum\u003cstring>"},"refund":{"type":"object","properties":{"amount":{"type":"string","uniqueKey":"refund.amount","typeLabel":"string"},"attempt":{"type":"integer","uniqueKey":"refund.attempt","typeLabel":"integer"},"credit_note_id":{"type":"string","uniqueKey":"refund.credit_note_id","typeLabel":"string"},"currency":{"type":"string","uniqueKey":"refund.currency","typeLabel":"string"},"failed_at":{"type":"string","format":"date-time","uniqueKey":"refund.failed_at","typeLabel":"string\u003cdate-time>"},"failure_reason":{"type":"string","uniqueKey":"refund.failure_reason","typeLabel":"string"},"gateway_refund_id":{"type":"string","uniqueKey":"refund.gateway_refund_id","typeLabel":"string"},"id":{"type":"string","uniqueKey":"refund.id","typeLabel":"string"},"invoice_id":{"type":"string","uniqueKey":"refund.invoice_id","typeLabel":"string"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"refund.metadata.additionalProperties","typeLabel":"string"},"x-speakeasy-name-override":"Metadata","uniqueKey":"refund.metadata","typeLabel":"object"},"payment_gateway":{"type":"string","uniqueKey":"refund.payment_gateway","typeLabel":"string"},"payment_id":{"type":"string","uniqueKey":"refund.payment_id","typeLabel":"string"},"refund_destination":{"type":"string","enum":["GATEWAY","WALLET","OUT_OF_BAND"],"x-enum-varnames":["RefundDestinationGateway","RefundDestinationWallet","RefundDestinationOutOfBand"],"x-speakeasy-name-override":"RefundDestination","uniqueKey":"refund.refund_destination","typeLabel":"enum\u003cstring>"},"refund_destination_id":{"type":"string","uniqueKey":"refund.refund_destination_id","typeLabel":"string"},"refund_reason":{"type":"string","enum":["DUPLICATE","FRAUDULENT","REQUESTED_BY_CUSTOMER","ORDER_CHANGE","SERVICE_ISSUE","OTHER"],"x-enum-varnames":["RefundReasonDuplicate","RefundReasonFraudulent","RefundReasonRequestedByCustomer","RefundReasonOrderChange","RefundReasonServiceIssue","RefundReasonOther"],"x-speakeasy-name-override":"RefundReason","uniqueKey":"refund.refund_reason","typeLabel":"enum\u003cstring>"},"refund_status":{"type":"string","enum":["PENDING","PROCESSING","SUCCEEDED","FAILED","CANCELLED"],"x-enum-varnames":["RefundStatusPending","RefundStatusProcessing","RefundStatusSucceeded","RefundStatusFailed","RefundStatusCancelled"],"x-speakeasy-name-override":"RefundStatus","uniqueKey":"refund.refund_status","typeLabel":"enum\u003cstring>"},"settled_amount":{"type":"string","uniqueKey":"refund.settled_amount","typeLabel":"string"},"succeeded_at":{"type":"string","format":"date-time","uniqueKey":"refund.succeeded_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"refund","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"event_type":"subscription.created","refund":{"amount":"\u003cstring>","attempt":123,"credit_note_id":"\u003cstring>","currency":"\u003cstring>","failed_at":"2023-11-07T05:31:56Z","failure_reason":"\u003cstring>","gateway_refund_id":"\u003cstring>","id":"\u003cstring>","invoice_id":"\u003cstring>","metadata":{},"payment_gateway":"\u003cstring>","payment_id":"\u003cstring>","refund_destination":"GATEWAY","refund_destination_id":"\u003cstring>","refund_reason":"DUPLICATE","refund_status":"PENDING","settled_amount":"\u003cstring>","succeeded_at":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"c3a552c0-fb0d-4192-bbfb-41d490814c91":{"url":"https://us.api.flexprice.io/v1","description":"US Region"},"8d9b0e10-8210-4fd4-9d91-5200cae97a59":{"url":"https://api.cloud.flexprice.io/v1","description":"India Region"}}},"originalFileLocation":"https://swagger.flexprice.io"},"subdomain":"flexprice","siteName":"Flexprice","title":"refund.created - Flexprice","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-23T12:45:17.274Z","originalFileLocation":"api-reference/webhook-events/refundcreated.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Flexprice\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"refund.created - Flexprice\">\u003cmeta data-mint-head property=\"og:description\" content=\"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Flexprice\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://flexprice.mintlify.app/_mintlify/api/og/v2?division=Webhook+Events\u0026amp;title=refund.created\u0026amp;description=Fired+when+a+refund+is+planned+against+an+invoice%2C+before+the+money+moves.+Doc-only+for+parsing.\u0026amp;theme=792146983879b831a3a27cee\u0026amp;signature=15004a6b7f8bdc9e00cf4bed342b458349109528477cc51051d005bc552b22e9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"refund.created - Flexprice\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://flexprice.mintlify.app/_mintlify/api/og/v2?division=Webhook+Events\u0026amp;title=refund.created\u0026amp;description=Fired+when+a+refund+is+planned+against+an+invoice%2C+before+the+money+moves.+Doc-only+for+parsing.\u0026amp;theme=792146983879b831a3a27cee\u0026amp;signature=15004a6b7f8bdc9e00cf4bed342b458349109528477cc51051d005bc552b22e9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/flexprice/7xM46OYu1enH2rig/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Flexprice\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#15547c\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/webhook-events/refundcreated.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.flexprice.io/#organization\",\"name\":\"Flexprice\",\"url\":\"https://docs.flexprice.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/flexprice/Qokjirde4CQUcFy8/images/FlexpriceWordMarkDark.png?fit=max\u0026auto=format\u0026n=Qokjirde4CQUcFy8\u0026q=85\u0026s=d706a1b6139418c2d57ba902fb0b6de4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.flexprice.io#website\",\"name\":\"Flexprice\",\"url\":\"https://docs.flexprice.io\",\"publisher\":{\"@id\":\"https://docs.flexprice.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated#webpage\",\"url\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated\",\"name\":\"refund.created\",\"description\":\"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\",\"dateModified\":\"2026-10-23T12:45:17.274Z\",\"isPartOf\":{\"@id\":\"https://docs.flexprice.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Resources\",\"item\":\"https://docs.flexprice.io/api-reference/activity/list-activity\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Webhook Events\",\"item\":\"https://docs.flexprice.io/api-reference/webhook-events/checkoutsessioncompleted\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"refund.created\",\"item\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated#apireference\",\"headline\":\"refund.created\",\"name\":\"refund.created\",\"description\":\"Fired when a refund is planned against an invoice, before the money moves. Doc-only for parsing.\",\"url\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated\",\"mainEntityOfPage\":{\"@id\":\"https://docs.flexprice.io/api-reference/webhook-events/refundcreated#webpage\"},\"dateModified\":\"2026-10-23T12:45:17.274Z\",\"publisher\":{\"@id\":\"https://docs.flexprice.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.flexprice.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Flexprice\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Flexprice","nav":{"global":{"anchors":[{"anchor":"Support","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/mail.svg","href":"mailto:support@flexprice.io"},{"anchor":"Community","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/slack.svg","href":"https://join.slack.com/t/flexpricecommunity/shared_invite/zt-39uat51l0-n8JmSikHZP~bHJNXladeaQ"},{"anchor":"Website","icon":"https://mintlify.s3.us-west-1.amazonaws.com/flexprice/images/anchors/flexprice.svg","href":"https://flexprice.io/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/welcome-to-flexprice"}]},{"tab":"Cookbooks","pages":[{"title":"Cookbooks","href":"/cookbooks/billing-recipes/usage-based-pricing"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"REST API","href":"/api-reference/introduction"},{"title":"Pagination","href":"/api-reference/pagination"},{"title":"Error responses","href":"/api-reference/error-responses"}]},{"group":"Resources","pages":[{"group":"Activity","pages":[{"title":"List activity","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /activity","href":"/api-reference/activity/list-activity"},{"title":"Get activity","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /activity/{id}","href":"/api-reference/activity/get-activity"}]},{"group":"Addons","pages":[{"title":"Create addon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /addons","href":"/api-reference/addons/create-addon"},{"title":"Get addon by lookup key","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /addons/lookup/{lookup_key}","href":"/api-reference/addons/get-addon-by-lookup-key"},{"title":"Query addons","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /addons/search","href":"/api-reference/addons/query-addons"},{"title":"Get addon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /addons/{id}","href":"/api-reference/addons/get-addon"},{"title":"Update addon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /addons/{id}","href":"/api-reference/addons/update-addon"},{"title":"Delete addon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /addons/{id}","href":"/api-reference/addons/delete-addon"},{"title":"Synchronize addon prices","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /addons/{id}/sync/subscriptions","href":"/api-reference/addons/synchronize-addon-prices"}]},{"group":"Credit Grants","pages":[{"title":"Get addon credit grants","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /addons/{id}/creditgrants","href":"/api-reference/credit-grants/get-addon-credit-grants"},{"title":"Create credit grant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /creditgrants","href":"/api-reference/credit-grants/create-credit-grant"},{"title":"Get credit grant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /creditgrants/{id}","href":"/api-reference/credit-grants/get-credit-grant"},{"title":"Update credit grant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /creditgrants/{id}","href":"/api-reference/credit-grants/update-credit-grant"},{"title":"Delete credit grant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /creditgrants/{id}","href":"/api-reference/credit-grants/delete-credit-grant"},{"title":"Get plan credit grants","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /plans/{id}/creditgrants","href":"/api-reference/credit-grants/get-plan-credit-grants"}]},{"group":"Entitlements","pages":[{"title":"Get addon entitlements","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /addons/{id}/entitlements","href":"/api-reference/entitlements/get-addon-entitlements"},{"title":"Create entitlement","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /entitlements","href":"/api-reference/entitlements/create-entitlement"},{"title":"Create entitlements in bulk","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /entitlements/bulk","href":"/api-reference/entitlements/create-entitlements-in-bulk"},{"title":"Query entitlements","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /entitlements/search","href":"/api-reference/entitlements/query-entitlements"},{"title":"Get entitlement","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /entitlements/{id}","href":"/api-reference/entitlements/get-entitlement"},{"title":"Update entitlement","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /entitlements/{id}","href":"/api-reference/entitlements/update-entitlement"},{"title":"Delete entitlement","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /entitlements/{id}","href":"/api-reference/entitlements/delete-entitlement"},{"title":"Get plan entitlements","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /plans/{id}/entitlements","href":"/api-reference/entitlements/get-plan-entitlements"}]},{"group":"Alerts","pages":[{"title":"Query alert logs","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /alerts/search","href":"/api-reference/alerts/query-alert-logs"}]},{"group":"AlertSettings","pages":[{"title":"Create alert settings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /alerts/setting","href":"/api-reference/alertsettings/create-alert-settings"},{"title":"Query alert settings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /alerts/setting/search","href":"/api-reference/alertsettings/query-alert-settings"},{"title":"Get alert settings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /alerts/setting/{id}","href":"/api-reference/alertsettings/get-alert-settings"},{"title":"Update alert settings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /alerts/setting/{id}","href":"/api-reference/alertsettings/update-alert-settings"},{"title":"Delete alert settings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /alerts/setting/{id}","href":"/api-reference/alertsettings/delete-alert-settings"}]},{"group":"Analytics","pages":[{"title":"Run an ad-hoc analytics query","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /analytics/query","href":"/api-reference/analytics/run-an-ad-hoc-analytics-query"},{"title":"List financial reports","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /analytics/reports","href":"/api-reference/analytics/list-financial-reports"},{"title":"Run a financial report","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /analytics/reports/{key}/query","href":"/api-reference/analytics/run-a-financial-report"},{"title":"Query revenue analytics","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /analytics/revenue","href":"/api-reference/analytics/query-revenue-analytics"},{"title":"List analytics views","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /analytics/views","href":"/api-reference/analytics/list-analytics-views"},{"title":"Create an analytics view","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /analytics/views","href":"/api-reference/analytics/create-an-analytics-view"},{"title":"Get an analytics view","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /analytics/views/{id}","href":"/api-reference/analytics/get-an-analytics-view"},{"title":"Update an analytics view","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /analytics/views/{id}","href":"/api-reference/analytics/update-an-analytics-view"},{"title":"Delete an analytics view","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /analytics/views/{id}","href":"/api-reference/analytics/delete-an-analytics-view"},{"title":"Query an analytics view","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /analytics/views/{id}/query","href":"/api-reference/analytics/query-an-analytics-view"}]},{"group":"Checkout","pages":[{"title":"Create checkout session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /checkout/sessions","href":"/api-reference/checkout/create-checkout-session"},{"title":"Get checkout session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /checkout/sessions/{id}","href":"/api-reference/checkout/get-checkout-session"},{"title":"Delete checkout session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /checkout/sessions/{id}","href":"/api-reference/checkout/delete-checkout-session"},{"title":"Cancel checkout session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /checkout/sessions/{id}/cancel","href":"/api-reference/checkout/cancel-checkout-session"}]},{"group":"Costs","pages":[{"title":"Create costsheet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /costs","href":"/api-reference/costs/create-costsheet"},{"title":"Get active costsheet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /costs/active","href":"/api-reference/costs/get-active-costsheet"},{"title":"Get combined revenue and cost analytics","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /costs/analytics","href":"/api-reference/costs/get-combined-revenue-and-cost-analytics"},{"title":"Query costsheets","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /costs/search","href":"/api-reference/costs/query-costsheets"},{"title":"Get costsheet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /costs/{id}","href":"/api-reference/costs/get-costsheet"},{"title":"Update costsheet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /costs/{id}","href":"/api-reference/costs/update-costsheet"},{"title":"Delete costsheet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /costs/{id}","href":"/api-reference/costs/delete-costsheet"}]},{"group":"Coupons","pages":[{"title":"Create coupon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /coupons","href":"/api-reference/coupons/create-coupon"},{"title":"Get coupon by code","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /coupons/code/{code}","href":"/api-reference/coupons/get-coupon-by-code"},{"title":"Query coupons","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /coupons/search","href":"/api-reference/coupons/query-coupons"},{"title":"Get coupon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /coupons/{id}","href":"/api-reference/coupons/get-coupon"},{"title":"Update coupon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /coupons/{id}","href":"/api-reference/coupons/update-coupon"},{"title":"Delete coupon","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /coupons/{id}","href":"/api-reference/coupons/delete-coupon"}]},{"group":"Coupon Associations","pages":[{"title":"List coupon associations","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /coupons/associations","href":"/api-reference/coupon-associations/list-coupon-associations"},{"title":"Get coupon association","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /coupons/associations/{id}","href":"/api-reference/coupon-associations/get-coupon-association"}]},{"group":"Credit Notes","pages":[{"title":"Create credit note","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /creditnotes","href":"/api-reference/credit-notes/create-credit-note"},{"title":"Get credit note","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /creditnotes/{id}","href":"/api-reference/credit-notes/get-credit-note"},{"title":"Finalize credit note","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /creditnotes/{id}/finalize","href":"/api-reference/credit-notes/finalize-credit-note"},{"title":"Void credit note","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /creditnotes/{id}/void","href":"/api-reference/credit-notes/void-credit-note"}]},{"group":"Customers","pages":[{"title":"Update customer","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /customers","href":"/api-reference/customers/update-customer"},{"title":"Create customer","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /customers","href":"/api-reference/customers/create-customer"},{"title":"Get customer by external ID","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/external/{external_id}","href":"/api-reference/customers/get-customer-by-external-id"},{"title":"Get customer entitlements by external ID","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/external/{external_id}/entitlements","href":"/api-reference/customers/get-customer-entitlements-by-external-id"},{"title":"Get subscriptions for customer by external ID","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/external/{external_id}/subscriptions","href":"/api-reference/customers/get-subscriptions-for-customer-by-external-id"},{"title":"Create customer portal session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/portal/{external_id}","href":"/api-reference/customers/create-customer-portal-session"},{"title":"Query customers","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /customers/search","href":"/api-reference/customers/query-customers"},{"title":"Get customer usage summary","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/usage","href":"/api-reference/customers/get-customer-usage-summary"},{"title":"Get customer","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}","href":"/api-reference/customers/get-customer"},{"title":"Delete customer","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /customers/{id}","href":"/api-reference/customers/delete-customer"},{"title":"Get customer entitlements","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}/entitlements","href":"/api-reference/customers/get-customer-entitlements"},{"title":"Get upcoming credit grant applications","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}/grants/upcoming","href":"/api-reference/customers/get-upcoming-credit-grant-applications"},{"title":"List customer payment methods","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}/payment-methods","href":"/api-reference/customers/list-customer-payment-methods"}]},{"group":"Wallets","pages":[{"title":"Get Customer Wallets","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/wallets","href":"/api-reference/wallets/get-customer-wallets"},{"title":"Get wallets by customer ID","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}/wallets","href":"/api-reference/wallets/get-wallets-by-customer-id"},{"title":"Create a new wallet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /wallets","href":"/api-reference/wallets/create-a-new-wallet"},{"title":"Query wallets","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /wallets/search","href":"/api-reference/wallets/query-wallets"},{"title":"Query wallet transactions","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /wallets/transactions/search","href":"/api-reference/wallets/query-wallet-transactions"},{"title":"Get wallet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /wallets/{id}","href":"/api-reference/wallets/get-wallet"},{"title":"Update a wallet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /wallets/{id}","href":"/api-reference/wallets/update-a-wallet"},{"title":"Get wallet balance","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /wallets/{id}/balance/real-time","href":"/api-reference/wallets/get-wallet-balance"},{"title":"Terminate a wallet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /wallets/{id}/terminate","href":"/api-reference/wallets/terminate-a-wallet"},{"title":"Top up wallet","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /wallets/{id}/top-up","href":"/api-reference/wallets/top-up-wallet"},{"title":"Get wallet transactions","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /wallets/{id}/transactions","href":"/api-reference/wallets/get-wallet-transactions"}]},{"group":"Invoices","pages":[{"title":"Get customer invoice summary","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /customers/{id}/invoices/summary","href":"/api-reference/invoices/get-customer-invoice-summary"},{"title":"Create one-off invoice","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices","href":"/api-reference/invoices/create-one-off-invoice"},{"title":"Get invoice preview","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/preview","href":"/api-reference/invoices/get-invoice-preview"},{"title":"Query invoices","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/search","href":"/api-reference/invoices/query-invoices"},{"title":"Get invoice","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /invoices/{id}","href":"/api-reference/invoices/get-invoice"},{"title":"Update invoice","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /invoices/{id}","href":"/api-reference/invoices/update-invoice"},{"title":"Trigger invoice communication webhook","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/comms/trigger","href":"/api-reference/invoices/trigger-invoice-communication-webhook"},{"title":"Finalize invoice","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/finalize","href":"/api-reference/invoices/finalize-invoice"},{"title":"Execute invoice modification","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/modify/execute","href":"/api-reference/invoices/execute-invoice-modification"},{"title":"Update invoice payment status","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /invoices/{id}/payment","href":"/api-reference/invoices/update-invoice-payment-status"},{"title":"Attempt invoice payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/payment/attempt","href":"/api-reference/invoices/attempt-invoice-payment"},{"title":"Get invoice PDF","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /invoices/{id}/pdf","href":"/api-reference/invoices/get-invoice-pdf"},{"title":"Recalculate invoice (voided invoice)","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/recalculate","href":"/api-reference/invoices/recalculate-invoice-voided-invoice"},{"title":"Recalculate draft invoice (v2)","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/recalculate-v2","href":"/api-reference/invoices/recalculate-draft-invoice-v2"},{"title":"Void invoice","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /invoices/{id}/void","href":"/api-reference/invoices/void-invoice"}]},{"group":"Environments","pages":[{"title":"Clone an environment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /environments/{id}/clone","href":"/api-reference/environments/clone-an-environment"}]},{"group":"Events","pages":[{"title":"Ingest event","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events","href":"/api-reference/events/ingest-event"},{"title":"Get usage analytics","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events/analytics","href":"/api-reference/events/get-usage-analytics"},{"title":"Bulk ingest events","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events/bulk","href":"/api-reference/events/bulk-ingest-events"},{"title":"Get event","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /events/lookup","href":"/api-reference/events/get-event"},{"title":"List raw events","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events/query","href":"/api-reference/events/list-raw-events"},{"title":"Get usage statistics","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events/usage","href":"/api-reference/events/get-usage-statistics"},{"title":"Get usage by meter","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /events/usage/meter","href":"/api-reference/events/get-usage-by-meter"}]},{"group":"Features","pages":[{"title":"Create feature","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /features","href":"/api-reference/features/create-feature"},{"title":"Query features","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /features/search","href":"/api-reference/features/query-features"},{"title":"Update feature","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /features/{id}","href":"/api-reference/features/update-feature"},{"title":"Delete feature","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /features/{id}","href":"/api-reference/features/delete-feature"},{"title":"Clone a feature","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /features/{id}/clone","href":"/api-reference/features/clone-a-feature"}]},{"group":"FX Rates","pages":[{"title":"Create an FX rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /forex","href":"/api-reference/fx-rates/create-an-fx-rate"},{"title":"Query FX rates","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /forex/query","href":"/api-reference/fx-rates/query-fx-rates"},{"title":"Get an FX rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /forex/{id}","href":"/api-reference/fx-rates/get-an-fx-rate"},{"title":"Update an FX rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /forex/{id}","href":"/api-reference/fx-rates/update-an-fx-rate"},{"title":"Delete an FX rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /forex/{id}","href":"/api-reference/fx-rates/delete-an-fx-rate"}]},{"group":"Groups","pages":[{"title":"Create group","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /groups","href":"/api-reference/groups/create-group"},{"title":"Query groups","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /groups/search","href":"/api-reference/groups/query-groups"},{"title":"Get group","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /groups/{id}","href":"/api-reference/groups/get-group"},{"title":"Delete group","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /groups/{id}","href":"/api-reference/groups/delete-group"}]},{"group":"Integrations","pages":[{"title":"Get integration configurations","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /integrations/config","href":"/api-reference/integrations/get-integration-configurations"},{"title":"Link integration mapping","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /integrations/link","href":"/api-reference/integrations/link-integration-mapping"},{"title":"Delink integration mapping","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /integrations/link","href":"/api-reference/integrations/delink-integration-mapping"},{"title":"Get entity integration mappings","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /integrations/mappings","href":"/api-reference/integrations/get-entity-integration-mappings"}]},{"group":"Marketplace","pages":[{"title":"Register an AWS Marketplace agreement","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /marketplace/agreements","href":"/api-reference/marketplace/register-an-aws-marketplace-agreement"}]},{"group":"Payments","pages":[{"title":"List payments","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /payments","href":"/api-reference/payments/list-payments"},{"title":"Create payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /payments","href":"/api-reference/payments/create-payment"},{"title":"Get payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /payments/{id}","href":"/api-reference/payments/get-payment"},{"title":"Update payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /payments/{id}","href":"/api-reference/payments/update-payment"},{"title":"Delete payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /payments/{id}","href":"/api-reference/payments/delete-payment"},{"title":"Process payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /payments/{id}/process","href":"/api-reference/payments/process-payment"}]},{"group":"Plans","pages":[{"title":"Create plan","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /plans","href":"/api-reference/plans/create-plan"},{"title":"Query plans","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /plans/search","href":"/api-reference/plans/query-plans"},{"title":"Get plan","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /plans/{id}","href":"/api-reference/plans/get-plan"},{"title":"Update plan","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /plans/{id}","href":"/api-reference/plans/update-plan"},{"title":"Delete plan","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /plans/{id}","href":"/api-reference/plans/delete-plan"},{"title":"Clone a plan","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /plans/{id}/clone","href":"/api-reference/plans/clone-a-plan"},{"title":"Synchronize plan prices","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /plans/{id}/sync/subscriptions","href":"/api-reference/plans/synchronize-plan-prices"}]},{"group":"SelfBilling","pages":[{"title":"Start self-billing checkout","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /portal/billing/checkout","href":"/api-reference/selfbilling/start-self-billing-checkout"},{"title":"Poll self-billing checkout","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /portal/billing/checkout/{id}","href":"/api-reference/selfbilling/poll-self-billing-checkout"},{"title":"Cancel self-billing checkout","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /portal/billing/checkout/{id}/cancel","href":"/api-reference/selfbilling/cancel-self-billing-checkout"},{"title":"Create self-billing portal session","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /portal/billing/portal-session","href":"/api-reference/selfbilling/create-self-billing-portal-session"},{"title":"Get self-billing status","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /portal/billing/status","href":"/api-reference/selfbilling/get-self-billing-status"},{"title":"Get self-billing summary","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /portal/billing/summary","href":"/api-reference/selfbilling/get-self-billing-summary"},{"title":"Get tenant billing summary","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tenants/billing","href":"/api-reference/selfbilling/get-tenant-billing-summary"}]},{"group":"Prices","pages":[{"title":"Create price","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /prices","href":"/api-reference/prices/create-price"},{"title":"Create prices in bulk","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /prices/bulk","href":"/api-reference/prices/create-prices-in-bulk"},{"title":"Get price by lookup key","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /prices/lookup/{lookup_key}","href":"/api-reference/prices/get-price-by-lookup-key"},{"title":"Query prices","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /prices/search","href":"/api-reference/prices/query-prices"},{"title":"Get price","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /prices/{id}","href":"/api-reference/prices/get-price"},{"title":"Update price","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /prices/{id}","href":"/api-reference/prices/update-price"},{"title":"Delete price","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /prices/{id}","href":"/api-reference/prices/delete-price"}]},{"group":"Price Units","pages":[{"title":"List price units","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /prices/units","href":"/api-reference/price-units/list-price-units"},{"title":"Create price unit","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /prices/units","href":"/api-reference/price-units/create-price-unit"},{"title":"Get price unit by code","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /prices/units/code/{code}","href":"/api-reference/price-units/get-price-unit-by-code"},{"title":"Query price units","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /prices/units/search","href":"/api-reference/price-units/query-price-units"},{"title":"Get price unit","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /prices/units/{id}","href":"/api-reference/price-units/get-price-unit"},{"title":"Update price unit","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /prices/units/{id}","href":"/api-reference/price-units/update-price-unit"},{"title":"Delete price unit","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /prices/units/{id}","href":"/api-reference/price-units/delete-price-unit"}]},{"group":"RBAC","pages":[{"title":"List all RBAC roles","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /rbac/roles","href":"/api-reference/rbac/list-all-rbac-roles"},{"title":"Get a specific RBAC role","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /rbac/roles/{id}","href":"/api-reference/rbac/get-a-specific-rbac-role"}]},{"group":"Refunds","pages":[{"title":"List refunds","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /refunds","href":"/api-reference/refunds/list-refunds"},{"title":"Get refund","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /refunds/{id}","href":"/api-reference/refunds/get-refund"},{"title":"Retry refund","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /refunds/{id}/retry","href":"/api-reference/refunds/retry-refund"}]},{"group":"Secrets","pages":[{"title":"List API keys","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /secrets/api/keys","href":"/api-reference/secrets/list-api-keys"},{"title":"Create a new API key","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /secrets/api/keys","href":"/api-reference/secrets/create-a-new-api-key"},{"title":"Delete an API key","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /secrets/api/keys/{id}","href":"/api-reference/secrets/delete-an-api-key"}]},{"group":"Subscriptions","pages":[{"title":"Create subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions","href":"/api-reference/subscriptions/create-subscription"},{"title":"Add addon to subscription","deprecated":true,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/addon","href":"/api-reference/subscriptions/add-addon-to-subscription"},{"title":"Remove addon from subscription","deprecated":true,"version":null,"openapi":"https://swagger.flexprice.io delete /subscriptions/addon","href":"/api-reference/subscriptions/remove-addon-from-subscription"},{"title":"Search subscription line items","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/lineitems/search","href":"/api-reference/subscriptions/search-subscription-line-items"},{"title":"Update subscription line item","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /subscriptions/lineitems/{id}","href":"/api-reference/subscriptions/update-subscription-line-item"},{"title":"Delete subscription line item","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /subscriptions/lineitems/{id}","href":"/api-reference/subscriptions/delete-subscription-line-item"},{"title":"List all subscription schedules","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/schedules","href":"/api-reference/subscriptions/list-all-subscription-schedules"},{"title":"Get subscription schedule","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/schedules/{schedule_id}","href":"/api-reference/subscriptions/get-subscription-schedule"},{"title":"Cancel subscription schedule","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/schedules/{schedule_id}/cancel","href":"/api-reference/subscriptions/cancel-subscription-schedule"},{"title":"Query subscriptions","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/search","href":"/api-reference/subscriptions/query-subscriptions"},{"title":"Get usage by subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/usage","href":"/api-reference/subscriptions/get-usage-by-subscription"},{"title":"Get subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}","href":"/api-reference/subscriptions/get-subscription"},{"title":"Update subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /subscriptions/{id}","href":"/api-reference/subscriptions/update-subscription"},{"title":"Activate draft subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/activate","href":"/api-reference/subscriptions/activate-draft-subscription"},{"title":"Get active addon associations","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}/addons/associations","href":"/api-reference/subscriptions/get-active-addon-associations"},{"title":"Cancel subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/cancel","href":"/api-reference/subscriptions/cancel-subscription"},{"title":"Execute subscription plan change","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/change/execute","href":"/api-reference/subscriptions/execute-subscription-plan-change"},{"title":"Preview subscription plan change","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/change/preview","href":"/api-reference/subscriptions/preview-subscription-plan-change"},{"title":"Execute a plan change (v2, swap in place)","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/change/v2/execute","href":"/api-reference/subscriptions/execute-a-plan-change-v2-swap-in-place"},{"title":"Preview a plan change (v2, swap in place)","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/change/v2/preview","href":"/api-reference/subscriptions/preview-a-plan-change-v2-swap-in-place"},{"title":"Get subscription entitlements","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}/entitlements","href":"/api-reference/subscriptions/get-subscription-entitlements"},{"title":"Get upcoming credit grant applications","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}/grants/upcoming","href":"/api-reference/subscriptions/get-upcoming-credit-grant-applications"},{"title":"Create subscription line item","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/lineitems","href":"/api-reference/subscriptions/create-subscription-line-item"},{"title":"Execute subscription modification","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/modify/execute","href":"/api-reference/subscriptions/execute-subscription-modification"},{"title":"Preview subscription modification","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/modify/preview","href":"/api-reference/subscriptions/preview-subscription-modification"},{"title":"Pause subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/pause","href":"/api-reference/subscriptions/pause-subscription"},{"title":"Resume subscription","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /subscriptions/{id}/resume","href":"/api-reference/subscriptions/resume-subscription"},{"title":"List subscription schedules","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}/schedules","href":"/api-reference/subscriptions/list-subscription-schedules"},{"title":"Get subscription (V2)","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /subscriptions/{id}/v2","href":"/api-reference/subscriptions/get-subscription-v2"}]},{"group":"Tasks","pages":[{"title":"List tasks","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks","href":"/api-reference/tasks/list-tasks"},{"title":"Import a CSV of usage events","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /tasks","href":"/api-reference/tasks/import-a-csv-of-usage-events"},{"title":"Get task processing result","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks/result","href":"/api-reference/tasks/get-task-processing-result"},{"title":"Get a task","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks/{id}","href":"/api-reference/tasks/get-a-task"},{"title":"Download task export file","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks/{id}/download","href":"/api-reference/tasks/download-task-export-file"},{"title":"Update task status","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /tasks/{id}/status","href":"/api-reference/tasks/update-task-status"}]},{"group":"Scheduled Tasks","pages":[{"title":"List scheduled tasks","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks/scheduled","href":"/api-reference/scheduled-tasks/list-scheduled-tasks"},{"title":"Create scheduled task","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /tasks/scheduled","href":"/api-reference/scheduled-tasks/create-scheduled-task"},{"title":"Schedule draft finalization","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /tasks/scheduled/schedule-draft-finalization","href":"/api-reference/scheduled-tasks/schedule-draft-finalization"},{"title":"Schedule update billing period","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /tasks/scheduled/schedule-update-billing-period","href":"/api-reference/scheduled-tasks/schedule-update-billing-period"},{"title":"Get scheduled task","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tasks/scheduled/{id}","href":"/api-reference/scheduled-tasks/get-scheduled-task"},{"title":"Update a scheduled task","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /tasks/scheduled/{id}","href":"/api-reference/scheduled-tasks/update-a-scheduled-task"},{"title":"Delete a scheduled task","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /tasks/scheduled/{id}","href":"/api-reference/scheduled-tasks/delete-a-scheduled-task"},{"title":"Trigger force run","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /tasks/scheduled/{id}/run","href":"/api-reference/scheduled-tasks/trigger-force-run"}]},{"group":"Tax Associations","pages":[{"title":"List tax associations","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /taxes/associations","href":"/api-reference/tax-associations/list-tax-associations"},{"title":"Create Tax Association","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /taxes/associations","href":"/api-reference/tax-associations/create-tax-association"},{"title":"Get Tax Association","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /taxes/associations/{id}","href":"/api-reference/tax-associations/get-tax-association"},{"title":"Update tax association","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /taxes/associations/{id}","href":"/api-reference/tax-associations/update-tax-association"},{"title":"Delete tax association","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /taxes/associations/{id}","href":"/api-reference/tax-associations/delete-tax-association"}]},{"group":"Tax Rates","pages":[{"title":"Get tax rates","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /taxes/rates","href":"/api-reference/tax-rates/get-tax-rates"},{"title":"Create a tax rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /taxes/rates","href":"/api-reference/tax-rates/create-a-tax-rate"},{"title":"Get a tax rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /taxes/rates/{id}","href":"/api-reference/tax-rates/get-a-tax-rate"},{"title":"Update a tax rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /taxes/rates/{id}","href":"/api-reference/tax-rates/update-a-tax-rate"},{"title":"Delete a tax rate","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /taxes/rates/{id}","href":"/api-reference/tax-rates/delete-a-tax-rate"}]},{"group":"Tenants","pages":[{"title":"Update a tenant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /tenants/update","href":"/api-reference/tenants/update-a-tenant"},{"title":"Get tenant by ID","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /tenants/{id}","href":"/api-reference/tenants/get-tenant-by-id"}]},{"group":"Usage Records","pages":[{"title":"List usage records","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /usage-records/search","href":"/api-reference/usage-records/list-usage-records"}]},{"group":"Users","pages":[{"title":"Create user or service account","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /users","href":"/api-reference/users/create-user-or-service-account"},{"title":"Get current user","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io get /users/me","href":"/api-reference/users/get-current-user"},{"title":"Update current user","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /users/me","href":"/api-reference/users/update-current-user"},{"title":"Query users","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /users/search","href":"/api-reference/users/query-users"},{"title":"Update service account","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /users/{id}","href":"/api-reference/users/update-service-account"},{"title":"Delete service account","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io delete /users/{id}","href":"/api-reference/users/delete-service-account"},{"title":"Remove user from tenant","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /users/{id}/remove","href":"/api-reference/users/remove-user-from-tenant"},{"title":"Update user roles","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io put /users/{id}/roles","href":"/api-reference/users/update-user-roles"}]},{"group":"Webhook Events","pages":[{"title":"checkout.session.completed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/checkout.session.completed","href":"/api-reference/webhook-events/checkoutsessioncompleted"},{"title":"checkout.session.expired","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/checkout.session.expired","href":"/api-reference/webhook-events/checkoutsessionexpired"},{"title":"checkout.session.failed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/checkout.session.failed","href":"/api-reference/webhook-events/checkoutsessionfailed"},{"title":"checkout.session.initiated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/checkout.session.initiated","href":"/api-reference/webhook-events/checkoutsessioninitiated"},{"title":"credit_note.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/credit_note.created","href":"/api-reference/webhook-events/credit_notecreated"},{"title":"credit_note.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/credit_note.updated","href":"/api-reference/webhook-events/credit_noteupdated"},{"title":"customer.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/customer.created","href":"/api-reference/webhook-events/customercreated"},{"title":"customer.deleted","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/customer.deleted","href":"/api-reference/webhook-events/customerdeleted"},{"title":"customer.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/customer.updated","href":"/api-reference/webhook-events/customerupdated"},{"title":"entitlement.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/entitlement.created","href":"/api-reference/webhook-events/entitlementcreated"},{"title":"entitlement.deleted","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/entitlement.deleted","href":"/api-reference/webhook-events/entitlementdeleted"},{"title":"entitlement.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/entitlement.updated","href":"/api-reference/webhook-events/entitlementupdated"},{"title":"event.rejected","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/event.rejected","href":"/api-reference/webhook-events/eventrejected"},{"title":"feature.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/feature.created","href":"/api-reference/webhook-events/featurecreated"},{"title":"feature.deleted","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/feature.deleted","href":"/api-reference/webhook-events/featuredeleted"},{"title":"feature.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/feature.updated","href":"/api-reference/webhook-events/featureupdated"},{"title":"feature.wallet_balance.alert","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/feature.wallet_balance.alert","href":"/api-reference/webhook-events/featurewallet_balancealert"},{"title":"invoice.communication.triggered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.communication.triggered","href":"/api-reference/webhook-events/invoicecommunicationtriggered"},{"title":"invoice.create.drafted","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.create.drafted","href":"/api-reference/webhook-events/invoicecreatedrafted"},{"title":"invoice.payment.overdue","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.payment.overdue","href":"/api-reference/webhook-events/invoicepaymentoverdue"},{"title":"invoice.sync.failed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.sync.failed","href":"/api-reference/webhook-events/invoicesyncfailed"},{"title":"invoice.sync.success","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.sync.success","href":"/api-reference/webhook-events/invoicesyncsuccess"},{"title":"invoice.update","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.update","href":"/api-reference/webhook-events/invoiceupdate"},{"title":"invoice.update.finalized","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.update.finalized","href":"/api-reference/webhook-events/invoiceupdatefinalized"},{"title":"invoice.update.payment","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.update.payment","href":"/api-reference/webhook-events/invoiceupdatepayment"},{"title":"invoice.update.voided","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/invoice.update.voided","href":"/api-reference/webhook-events/invoiceupdatevoided"},{"title":"payment.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/payment.created","href":"/api-reference/webhook-events/paymentcreated"},{"title":"payment.failed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/payment.failed","href":"/api-reference/webhook-events/paymentfailed"},{"title":"payment.pending","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/payment.pending","href":"/api-reference/webhook-events/paymentpending"},{"title":"payment.success","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/payment.success","href":"/api-reference/webhook-events/paymentsuccess"},{"title":"payment.updated","description":"Fired when a payment is updated. Doc-only for parsing.","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/payment.updated","href":"/api-reference/webhook-events/paymentupdated"},{"title":"refund.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/refund.created","href":"/api-reference/webhook-events/refundcreated"},{"title":"refund.failed","description":"Fired when a refund fails. A gateway refund that fails is retried into the customer's wallet. Doc-only for parsing.","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/refund.failed","href":"/api-reference/webhook-events/refundfailed"},{"title":"refund.succeeded","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/refund.succeeded","href":"/api-reference/webhook-events/refundsucceeded"},{"title":"subscription.activated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.activated","href":"/api-reference/webhook-events/subscriptionactivated"},{"title":"subscription.cancelled","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.cancelled","href":"/api-reference/webhook-events/subscriptioncancelled"},{"title":"subscription.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.created","href":"/api-reference/webhook-events/subscriptioncreated"},{"title":"subscription.draft.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.draft.created","href":"/api-reference/webhook-events/subscriptiondraftcreated"},{"title":"subscription.group_spend.threshold_reached","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.group_spend.threshold_reached","href":"/api-reference/webhook-events/subscriptiongroup_spendthreshold_reached"},{"title":"subscription.group_spend.threshold_recovered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.group_spend.threshold_recovered","href":"/api-reference/webhook-events/subscriptiongroup_spendthreshold_recovered"},{"title":"subscription.line_item_spend.threshold_reached","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.line_item_spend.threshold_reached","href":"/api-reference/webhook-events/subscriptionline_item_spendthreshold_reached"},{"title":"subscription.line_item_spend.threshold_recovered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.line_item_spend.threshold_recovered","href":"/api-reference/webhook-events/subscriptionline_item_spendthreshold_recovered"},{"title":"subscription.paused","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.paused","href":"/api-reference/webhook-events/subscriptionpaused"},{"title":"subscription.phase.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.phase.created","href":"/api-reference/webhook-events/subscriptionphasecreated"},{"title":"subscription.phase.deleted","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.phase.deleted","href":"/api-reference/webhook-events/subscriptionphasedeleted"},{"title":"subscription.phase.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.phase.updated","href":"/api-reference/webhook-events/subscriptionphaseupdated"},{"title":"subscription.plan_changed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.plan_changed","href":"/api-reference/webhook-events/subscriptionplan_changed"},{"title":"subscription.renewal.due","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.renewal.due","href":"/api-reference/webhook-events/subscriptionrenewaldue"},{"title":"subscription.resumed","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.resumed","href":"/api-reference/webhook-events/subscriptionresumed"},{"title":"subscription.spend.threshold_reached","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.spend.threshold_reached","href":"/api-reference/webhook-events/subscriptionspendthreshold_reached"},{"title":"subscription.spend.threshold_recovered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.spend.threshold_recovered","href":"/api-reference/webhook-events/subscriptionspendthreshold_recovered"},{"title":"subscription.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/subscription.updated","href":"/api-reference/webhook-events/subscriptionupdated"},{"title":"wallet.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.created","href":"/api-reference/webhook-events/walletcreated"},{"title":"wallet.credit_balance.dropped","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.credit_balance.dropped","href":"/api-reference/webhook-events/walletcredit_balancedropped"},{"title":"wallet.credit_balance.recovered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.credit_balance.recovered","href":"/api-reference/webhook-events/walletcredit_balancerecovered"},{"title":"wallet.ongoing_balance.dropped","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.ongoing_balance.dropped","href":"/api-reference/webhook-events/walletongoing_balancedropped"},{"title":"wallet.ongoing_balance.recovered","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.ongoing_balance.recovered","href":"/api-reference/webhook-events/walletongoing_balancerecovered"},{"title":"wallet.ongoing_balance.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.ongoing_balance.updated","href":"/api-reference/webhook-events/walletongoing_balanceupdated"},{"title":"wallet.terminated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.terminated","href":"/api-reference/webhook-events/walletterminated"},{"title":"wallet.transaction.created","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.transaction.created","href":"/api-reference/webhook-events/wallettransactioncreated"},{"title":"wallet.transaction.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.transaction.updated","href":"/api-reference/webhook-events/wallettransactionupdated"},{"title":"wallet.updated","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /webhook-events/wallet.updated","href":"/api-reference/webhook-events/walletupdated"}]},{"group":"Workflows","pages":[{"title":"Query workflows","deprecated":null,"version":null,"openapi":"https://swagger.flexprice.io post /workflows/search","href":"/api-reference/workflows/query-workflows"}]}]}]},{"tab":"Developers","pages":[{"title":"Developers","href":"/developers/overview"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/introduction"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/docs/changelog"}]}]},"title":"refund.created - Flexprice","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}